## Contents of this file

* Introduction
* Requirements
* Recommended modules
* Installation
* Configuration
* Maintainer


## Introduction

The “Fix teaserlinks” module is a simple module that may be used to
manage the visibility of the links that appear below teasers, i.e.:

* “Add new comment”, “Log in [or register] to post comments”

* “*X* comments” (where *X* is the number of comments)

* “Read more”

* “*NN*'s blog” (where *NN* is the blogger's name)

It is intended for site builders who want a cleaner look of teaser
lists.

* For a full description of the module, visit the [project page][1].

* To submit bug reports and feature suggestions, or to track changes
  visit the project's [issue tracker][2].


## Requirements

None for the main module.

The submodule “Fix teaserlinks UI” requires the main module and:

* [Advanced help hint][3]:  
  Will hint about how to get README.md rendered by “Advanced help”.

## Recommended modules

* [Advanced help][4]:  
  When this module is enabled, display of the project's `README.md`
  will be rendered when you visit
  `help/fixteaserlinks/README.md`.

* [Markdown filter][5]:  
  When this module is enabled, display of the project's `README.md`
  will be rendered with the markdown filter.

# Installation

1. Install as you would normally install a contributed drupal
   module. See: [Installing modules][6] (D7) or [Installing
   contributed modules][7] (D8) for further information.

2. Enable the “Fix teaserlinks” module on the Modules list page in the
   administrative interface.

## Configuration

By default, the module will not do anything until you configure it.

Use the following *drush* commands to remove the links from the
teaser:

    D7:  
      drush vset fixteaserlinks_comment true
      drush vset fixteaserlinks_comcount true
      drush vset fixteaserlinks_readmore true
      drush vset fixteaserlinks_nnsblog true

    D8:  
      drush config-set fixteaserlinks.settings fixteaserlinks_comment 1
      drush config-set fixteaserlinks.settings fixteaserlinks_comcount 1
      drush config-set fixteaserlinks.settings fixteaserlinks_readmore 1
      drush config-set fixteaserlinks.settings fixteaserlinks_nnsblog 1

The first of those drush commands will stop removing comment links.
The second will remove the comment count.  The third will remove the
“Read more” link.  The last will remove the link to the author's blog.

To restore the link, set the vatiable `true` (D7) or equal to `0`
(D8).

You may have to clear or refresh all caches to see the results of any
change to the configuration.

To cancel all these effects and delete the variables, disable the
module and clear caches.


## Maintainer

* [gisle](https://www.drupal.org/u/gisle)

[1]: https://drupal.org/project/fixteaserlinks
[2]: https://drupal.org/project/issues/fixteaserlinks
[3]: https://www.drupal.org/project/advanced_help_hint
[4]: https://www.drupal.org/project/advanced_help
[5]: https://www.drupal.org/project/markdown
[6]: https://www.drupal.org/docs/7/extending-drupal/installing-modules
[7]: https://www.drupal.org/docs/8/extending-drupal/installing-contributed-modules

